#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xC8,0x2D,0xC8,0xA9,0x85,0x62,0xCB,0xA4,0xF2,0xDB,0x04,0x7A,
		0xEA,0x8F,0x50,0xF1,0xB7,0xC6,0x0B,0xB3,0xB7,0x71,0x4D,0x2E,
		0x15,0xB4,0x14,0x9F,0x8C,0x30,0x5E,0xC1,0xA0,0x19,0xF3,0xB6,
		0xF7,0x8D,0x78,0x78,0x13,0x47,0x6C,0xF2,0x21,0xF7,0x28,0x49,
		0x0D,0x34,0x26,0x10,0x32,0x95,0x75,0x31,0x08,0xA8,0x39,0x68,
		0x57,0x98,0xF5,0xC3,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
